<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.videomonitor.mapper.VideoMonitorMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="videoMonitorResultMap" type="org.springblade.smartapplication.videomonitor.entity.VideoMonitor">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="point" property="point"/>
        <result column="device_manufacturer" property="deviceManufacturer"/>
        <result column="install_address" property="installAddress"/>
        <result column="is_video_wall" property="isVideoWall"/>
        <result column="install_time" property="installTime"/>
        <result column="video_url" property="videoUrl"/>
        <result column="monitor_type" property="monitorType"/>
        <result column="device_no" property="deviceNo"/>
        <result column="device_name" property="deviceName"/>
    </resultMap>


    <select id="selectVideoMonitorPage" resultMap="videoMonitorResultMap">
        select * from yc_video_monitor where is_deleted = 0
    </select>

</mapper>
